## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# tests are enabled by default
%bcond_without  tests

%global         srcname     knack
%global         forgeurl    https://github.com/microsoft/knack
Version:        0.10.1
Epoch:          1
%global         tag         v%{version}
%forgemeta

Name:           python-%{srcname}
Release:        %autorelease
Summary:        A Command-Line Interface framework

License:        MIT
URL:            %forgeurl
Source0:        %forgesource

BuildArch:      noarch

BuildRequires:  python3-devel

%if %{with tests}
BuildRequires:  python3dist(pytest)
%endif

%global _description %{expand:
A Command-Line Interface framework}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %{_description}


%prep
%forgeautosetup -p1


%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files knack


%if %{with tests}
%check
# Skip the tests which require network connectivity.
%pytest --disable-warnings
%endif


%files -n python3-%{srcname} -f %{pyproject_files}
%doc *.rst


%changelog
* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1:0.10.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Dec 07 2022 Major Hayden <major@redhat.com> - 1:0.10.1-1
- Update to 0.10.1

* Fri Aug 19 2022 Major Hayden <major@redhat.com> - 1:0.10.0-1
- Update to 0.10.0 rhbz#2119665

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1:0.9.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed Jun 15 2022 Python Maint <python-maint@redhat.com> - 1:0.9.0-4
- Rebuilt for Python 3.11

* Wed Apr 27 2022 Major Hayden <major@mhtx.net> - 1:0.9.0-3
- Remove skipped tests and mock fixes

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1:0.9.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Dec 15 2021 Major Hayden <major@mhtx.net> - 1:0.9.0-1
- Update to 0.9.0

* Tue Nov 09 2021 Major Hayden <major@mhtx.net> - 1:0.8.2-1
- Revert to 0.8.2

* Tue Nov 09 2021 Major Hayden <major@mhtx.net> - 0.8.2-1
- Revert "Update to 0.8.3"

* Thu Nov 04 2021 Major Hayden <major@mhtx.net> - 0.8.3-1
- Update to 0.8.3

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 0.8.2-3
- Rebuilt for Python 3.10

* Thu Jun 03 2021 Major Hayden <major@mhtx.net> - 0.8.2-2
- Update README

* Thu Jun 03 2021 Major Hayden <major@mhtx.net> - 0.8.2-1
- Initial package (#1966722)
